# ApplicationFramework
TKXmlL
XmlObjMgt

# XmlObjMgt_DataMapIteratorOfRRelocationTable Class Reference

`#include <XmlObjMgt_DataMapIteratorOfRRelocationTable.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | XmlObjMgt_DataMapIteratorOfRRelocationTable ()
Standard_EXPORT | XmlObjMgt_DataMapIteratorOfRRelocationTable (const XmlObjMgt_RRelocationTable &aMap)
Standard_EXPORT void | Initialize (const XmlObjMgt_RRelocationTable &aMap)
Standard_EXPORT const Standard_Integer & | Key () const
Standard_EXPORT const Handle_Standard_Transient & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT XmlObjMgt_DataMapIteratorOfRRelocationTable::XmlObjMgt_DataMapIteratorOfRRelocationTable | ( |  | ) |

Standard_EXPORT XmlObjMgt_DataMapIteratorOfRRelocationTable::XmlObjMgt_DataMapIteratorOfRRelocationTable | ( | const XmlObjMgt_RRelocationTable & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void XmlObjMgt_DataMapIteratorOfRRelocationTable::Initialize | ( | const XmlObjMgt_RRelocationTable & | aMap | ) |

Standard_EXPORT const Standard_Integer& XmlObjMgt_DataMapIteratorOfRRelocationTable::Key | ( |  | ) | const

void XmlObjMgt_DataMapIteratorOfRRelocationTable::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XmlObjMgt_DataMapIteratorOfRRelocationTable::operator new | ( | size_t | size | ) | `[inline]`

void* XmlObjMgt_DataMapIteratorOfRRelocationTable::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_Standard_Transient& XmlObjMgt_DataMapIteratorOfRRelocationTable::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- XmlObjMgt_DataMapIteratorOfRRelocationTable.hxx